/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.csu.sdmx.dao;

import java.util.List;

/**
 *
 * @author themi
 */
interface DaoSupport<E, PK> {
    E find(final PK id);
    List<E> list();
    void delete(PK pk);
    boolean insert(E entity);
    boolean update(E entity);
}
